# List bring-your-own providers

GET /v1/byo-providers: List bring-your-own providers

```http
GET /v1/byo-providers
```

|  |  |
|---|---|
| Operation id | `listByoProviders` |
| Key scope | `admin`: admin keys only |
| Section | [BYO providers](https://docs.kaab.ist/reference/api#byo-providers) |

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `limit` | query | integer |  | ≥ 1 · ≤ 100 · default `25` |
| `cursor` | query | string |  | min length 1 |
| `kind` | query | `"proxy"`, `"llm"`, `"captcha"` |  |  |

## Example request

```bash
curl -X GET "https://api.kaab.ist/v1/byo-providers" \
  -H "Authorization: Bearer $KAAB_API_KEY"
```

## Responses

### 200

Provider page

| Field | Type | Required | Description |
|---|---|---|---|
| `data` | [ByoProvider](https://docs.kaab.ist/reference/api/schemas/byo-provider)[] | yes |  |
| `next_cursor` | string or null | yes |  |

## Errors

Every error answers with the [error envelope](https://docs.kaab.ist/reference/api/schemas/error-response); its `code` is one of the [error codes](https://docs.kaab.ist/reference/codes#errors).

| Status | When |
|---|---|
| 400 | `request_invalid`: request validation failed |
| 401 | Missing or invalid API key |
| 403 | The key's scope does not cover this operation |
| 429 | Rate limited; see `Retry-After` |
| 500 | `internal`: unexpected server error |
